const sdk = require('axway-flow-sdk');
const action = require('./action');

function getFlowNodes() {
	const flownodes = sdk.init(module);

	// The unique name of your flow-node.  You can define multiple flow-nodes in this
	// file, but one is typical.
	flownodes.add('<%=lcname%>', {
		name: '<%=name%>',
		// file support for: svg, png, gif, bmp, jpg, and tiff
		icon: 'icon.svg',
		description: '<%=description%>'
	})
		// Add a method to your flow-node.
		.method('todo', {
			name: 'TODO',
			description: 'TODO'
		})
		// Add parameter(s) to your method.
		.parameter('todo', {
			description: 'TODO',
			type: 'string'
		})
		// Once all parameters for the method are defined, add output(s) to your method.
		.output('next', {
			name: 'Next',
			description: 'TODO',
			context: '$.todo',
			schema: {
				type: 'string'
			}
		})
		// Provide the actual javascript implementation.
		.action(action);

	return Promise.resolve(flownodes);
}

exports = module.exports = getFlowNodes;
